Name: thc-ipv6
Version: 3.8
Release:    1%{?dist}
Summary: Toolkit for attacking the IPv6 protocol suite

License: AGPLv3 with exceptions
URL: https://github.com/vanhauser-thc/thc-ipv6
Source0: https://github.com/vanhauser-thc/thc-ipv6/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0: https://github.com/vanhauser-thc/thc-ipv6/commit/5dea4ce77dbff19c53c027229365fd5aad4570d3.patch#/thc-ipv6-3.8-socket.patch

BuildRequires: make
BuildRequires: gcc
BuildRequires: libpcap-devel
BuildRequires: openssl-devel
BuildRequires: libnetfilter_queue-devel
BuildRequires: perl-generators

%description
A complete tool set to attack the inherent protocol weaknesses of IPv6
and ICMPv6, including an easy to use packet factory library.

%prep
%autosetup -p1

%build
%make_build \
  CFLAGS="%{optflags} $OPENSSL_CFLAGS -D_HAVE_SSL" \
  LDFLAGS="%{?__global_ldflags} $OPENSSL_LDFLAGS -lpcap -lssl -lcrypto"

%install
%make_install \
  PREFIX=%{_prefix} \
  STRIP=%{_bindir}/true

%files
%license LICENSE LICENSE.OPENSSL
%doc CHANGES HOWTO-INJECT README
%{_bindir}/*
%{_mandir}/man8/*

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8-1
- initial build
